# class DBus::Type::ArrayFactory

Syntactic helper for constructing an array `Type`. You may be looking for {Data::Array} instead. @example

    t = Type::Array[Type::INT16]

### Public Class Methods

[](member_type) click to toggle source

@param member_type [Type,SingleCompleteType] @return [Type] (frozen)

        # File lib/dbus/type.rb
    333 def self.[](member_type)
    334   t = Type.new(ARRAY)
    335   t << make_type(member_type)
    336   t.members.freeze
    337   t
    338 end